> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get drift user query



## OpenAPI

````yaml /api-specs/cloud/public-api.json get /model-monitor/v2/api/model/{model_id}/drift-user-query
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /model-monitor/v2/api/model/{model_id}/drift-user-query:
    summary: >
      Returns drift scheduler config for the model. The endpoint is behind the
      old backend's auth mechanism.
    parameters:
      - in: path
        name: model_id
        schema:
          type: string
        required: true
        description: Identifier for the model to be updated.
    get:
      tags:
        - Model Monitoring drift and quality
      operationId: getDriftUserQuery
      responses:
        '200':
          description: The drift scheduler query was generated successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dmm-plier_driftUserQuery'
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '500':
          description: Internal server error, check server logs.
      security:
        - dmm-plier_DominoApiKeyAuth: []
        - dmm-plier_DmmApiKeyAuth: []
        - dmm-plier_cookieAuth: []
        - dmm-plier_BearerAuth: []
components:
  schemas:
    dmm-plier_driftUserQuery:
      title: User Query for Drift
      description: >-
        The user query for a model for a user for getting the drift analysis
        from raw distributions
      type: object
      required:
        - model_id
        - user_id
        - features
      properties:
        model_id:
          title: Model Identifier
          description: Unique identifier of the model for this query
          type: string
        user_id:
          title: User Id
          description: User Id
          type: string
        features:
          title: Features
          description: Algorithm and alert condition for features for the model
          type: array
          items:
            $ref: '#/components/schemas/dmm-plier_featureQuery'
    dmm-plier_featureQuery:
      title: Feature Query
      description: Query config for a feature in a model
      type: object
      required:
        - id
        - name
        - type
        - value
        - alertable
        - algorithm
        - condition
      properties:
        id:
          title: Feature Identifier
          description: Identifier of the feature in a model
          type: string
        name:
          title: Feature Name
          description: Name for the model feature
          type: string
        type:
          title: Feature Type
          description: Type of the feature - feature, prediction, row identifier, timestamp
          type: string
        value:
          title: Feature Value Type
          description: Type of the feature value - categorical or numerical
          type: string
        alertable:
          title: Alertable
          description: Whether this feature is alertable for not
          type: boolean
        algorithm:
          title: Algorithm
          description: Algorithm function used for the check query
          type: string
        condition:
          $ref: '#/components/schemas/dmm-plier_alertCondition'
    dmm-plier_alertCondition:
      title: Alert Condition
      description: Condition at which alert is triggered
      type: object
      required:
        - operator
        - lower
        - upper
      properties:
        operator:
          title: Math Operator
          description: The math operator for the condition, like < or <=.
          type: string
        lower:
          title: Lower Bound
          description: The lower bound for the condition
          type: number
        upper:
          title: Upper Bound
          description: The upper bound for the condition
          type: number
  securitySchemes:
    dmm-plier_DominoApiKeyAuth:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    dmm-plier_DmmApiKeyAuth:
      type: apiKey
      in: header
      name: X-DMM-API-KEY
    dmm-plier_cookieAuth:
      type: apiKey
      in: cookie
      name: PLAY_SESSION
    dmm-plier_BearerAuth:
      type: http
      scheme: bearer

````

## Related topics

- [Get drift scheduler query](/api-reference/model-monitoring-drift-and-quality/get-model-monitorv2apimodel-drift-scheduler-query.md)
- [Get quality user query](/api-reference/model-monitoring-drift-and-quality/get-model-monitorv2apimodel-model-quality-user-query.md)
- [Get column drift trend](/api-reference/model-monitoring-drift-and-quality/get-model-monitorv2apimodel-drift-trend.md)
- [Snowflake queries](/cloud/platform-capabilities/features/models/snowflake-queries.md)
